#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ERemoteDeviceAuthorizationResult {
    Success = 0,
    Denied = 1,
    NotLoggedIn = 2,
    Offline = 3,
    Busy = 4,
    InProgress = 5,
    TimedOut = 6,
    Failed = 7,
    Canceled = 8,
}

impl ERemoteDeviceAuthorizationResult {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Success as i32 => Some(Self::Success),
            x if x == Self::Denied as i32 => Some(Self::Denied),
            x if x == Self::NotLoggedIn as i32 => Some(Self::NotLoggedIn),
            x if x == Self::Offline as i32 => Some(Self::Offline),
            x if x == Self::Busy as i32 => Some(Self::Busy),
            x if x == Self::InProgress as i32 => Some(Self::InProgress),
            x if x == Self::TimedOut as i32 => Some(Self::TimedOut),
            x if x == Self::Failed as i32 => Some(Self::Failed),
            x if x == Self::Canceled as i32 => Some(Self::Canceled),
            _ => None,
        }
    }
}
